import { defineNuxtConfig } from 'nuxt'
import fs from 'fs'
const packageJson = fs.readFileSync('./package.json', 'utf-8')
const version = JSON.parse(packageJson).version || 0

export default defineNuxtConfig({
  srcDir: 'src/',
  target: 'static',
  ssr: false,
  telemetry: false,
  buildModules: [
    '@pinia/nuxt'
  ],
  publicRuntimeConfig: {
    serverBaseUrl: '/',
    version,
  },
})
