package application

import (
	"encoding/json"
	"fmt"
	"os"
	"sirlab.de/go/knowyt/game"
)

func (app *Application) loadGameState(gm *game.Game, fileName string) error {
	jsonBytes, err := os.ReadFile(fileName)
	if err != nil {
		return err
	}

	var stateJson game.GameStateJson
	if err := json.Unmarshal(jsonBytes, &stateJson); err != nil {
		return fmt.Errorf("%s: %v\n", fileName, err)
	} else {
		gm.SetGameState(&stateJson)
	}
	return nil
}
