package fileutil

import (
	"os"
	"path"
)

func SaveFile(filename string, data []byte) error {
	dirname := path.Dir(filename)
	tmpFile, err := os.CreateTemp(dirname, "save-*.tmp")
	if err != nil {
		return err
	}
	defer os.Remove(tmpFile.Name())

	if _, err := tmpFile.Write(data); err != nil {
		return err
	}
	if err := tmpFile.Close(); err != nil {
		return err
	}

	if err := os.Rename(tmpFile.Name(), filename); err != nil {
		return err
	}

	return nil

}
